Uploaded image for project: 'Sakai'
  1. Sakai
  2. SAK-26589

Remove outdated PMD libraries from tool poms

    XMLWordPrintable

    Details

    • 10 status:
      Resolved

      Description

      Many tool poms have the pmd plugin defined. This causes an error about out of date rules.xml file. Need to remove this as it's defined in master now. This is executed when running the maven "site" goal needed to generate the projects reports. It fails on edu-services (at the moment).

      http://stackoverflow.com/questions/13653988/can-not-find-ruleset-basic-xml-when-using-pmd-ant-target

      Also remove jxr-maven-plugin as it no longer exists in any repository.

      Might just want to remove the entire local reporting section from each tool's pom.

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                jonespm Matthew Jones
                Reporter:
                jonespm Matthew Jones
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Git Source Code